/***********************************************************************
 * YoLink device list
 *
 * Copyright (c) 2022 David Kerr
 *
 */
import { YoLinkPlatformAccessory } from './platformAccessory';
export declare const experimentalDevice: {
    VibrationSensor: boolean;
    MotionSensor: boolean;
    LeakSensor: boolean;
    Manipulator: boolean;
    THSensor: boolean;
    DoorSensor: boolean;
    Siren: boolean;
    Switch: boolean;
};
export declare const initDeviceService: {
    VibrationSensor(this: YoLinkPlatformAccessory): void;
    MotionSensor(this: YoLinkPlatformAccessory): void;
    LeakSensor(this: YoLinkPlatformAccessory): void;
    Manipulator(this: YoLinkPlatformAccessory): void;
    THSensor(this: YoLinkPlatformAccessory): void;
    DoorSensor(this: YoLinkPlatformAccessory): void;
    Siren(this: YoLinkPlatformAccessory): void;
    Switch(this: YoLinkPlatformAccessory): void;
};
export declare const mqttHandler: {
    VibrationSensor(this: YoLinkPlatformAccessory, data: any): void;
    MotionSensor(this: YoLinkPlatformAccessory, data: any): void;
    LeakSensor(this: YoLinkPlatformAccessory, data: any): void;
    Manipulator(this: YoLinkPlatformAccessory, data: any): void;
    THSensor(this: YoLinkPlatformAccessory, data: any): void;
    DoorSensor(this: YoLinkPlatformAccessory, data: any): void;
    Siren(this: YoLinkPlatformAccessory, data: any): void;
    Switch(this: YoLinkPlatformAccessory, data: any): void;
};
//# sourceMappingURL=deviceHandlers.d.ts.map